Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deBlockBrush Class Reference

`#include <deBrush_priv.hpp>`

Inheritance diagram for deBlockBrush:

[legend]
Collaboration diagram for deBlockBrush:

[legend]
List of all members.

## Public Member Functions
| deBlockBrush ()
| ~deBlockBrush ()
deBoolean | GetProjectedEdgePlanes (const deVec3d &Position, const deTransformInfo &transform, IdePlaneFrustum *pFrustum)
## Public Attributes
| WorldObjectClassDef
## Protected Member Functions
deBrush * | CopyBrush ()
## Private Member Functions
void | UpdateBrush ()
void | SubdivideSurfaces ()
void | GiftWrap ()
short | FindA ()
short | FindB (short A)
short | FindC (short A, short B, short DontUse)
bool | PointTotallyUsed (short p)
void | RecalcEdgeConnectivity ()
deDouble | Dist (deBPoly &poly, deVec3d Point)
void | MakeTri (long v1, long v2, long v3, deBPoly &)
## Private Attributes
deTArray< bool > | m_TotallyUsed
deTArray< deTList< edge > > | m_EdgesOnVert
deTArray< edge > | m_FaceList
deTArray< edge_normals > | m_EdgeNormals
deBoolean | m_EdgesUpdated

## Constructor & Destructor Documentation

deBlockBrush::deBlockBrush | ( |  | ) |

deBlockBrush::~deBlockBrush | ( |  | ) |

## Member Function Documentation

deBrush * deBlockBrush::CopyBrush | ( |  | ) | `[protected, virtual]`

| Implements deBrush.

deDouble deBlockBrush::Dist | ( | deBPoly & | poly,
|  | deVec3d | Point
| ) | `[private]`

short deBlockBrush::FindA | ( |  | ) | `[private]`

short deBlockBrush::FindB | ( | short | A | ) | `[private]`

short deBlockBrush::FindC | ( | short | A,
|  | short | B,
|  | short | DontUse
| ) | `[private]`

deBoolean deBlockBrush::GetProjectedEdgePlanes | ( | const deVec3d & | Position,
|  | const deTransformInfo & | transform,
|  | IdePlaneFrustum * | pFrustum
| ) | `[virtual]`

| Implements IdeBlockBrush.

void deBlockBrush::GiftWrap | ( |  | ) | `[private]`

void deBlockBrush::MakeTri | ( | long | v1,
|  | long | v2,
|  | long | v3,
|  | deBPoly & |
| ) | `[private]`

bool deBlockBrush::PointTotallyUsed | ( | short | p | ) | `[private]`

void deBlockBrush::RecalcEdgeConnectivity | ( |  | ) | `[private]`

void deBlockBrush::SubdivideSurfaces | ( |  | ) | `[private]`

void deBlockBrush::UpdateBrush | ( |  | ) | `[private, virtual]`

| Implements deBrush.

## Member Data Documentation

deTArray<edge_normals> deBlockBrush::m_EdgeNormals`[private]`

deTArray< deTList<edge> > deBlockBrush::m_EdgesOnVert`[private]`

deBoolean deBlockBrush::m_EdgesUpdated`[private]`

deTArray<edge> deBlockBrush::m_FaceList`[private]`

| Reimplemented from deBrush.

deTArray<bool> deBlockBrush::m_TotallyUsed`[private]`

deBlockBrush::WorldObjectClassDef

The documentation for this class was generated from the following files:

- deBrush_priv.hpp
- BlockBrush.cpp